+ Server {
	makeSafeBundle { arg time, func, bundle;
		var close = { addr = addr.saveAddr; };
		CmdPeriod.doOnce({close.value });
		this.openBundle(bundle);
		try {
			func.value(this);
			bundle = this.closeBundle(time);
			close = nil;
		}{|error|
			close.value; // on error restore the normal NetAddr
			close = nil;
			error.throw
		}
		^bundle
	}
}

